SELECT 
  askml(setsrid(a,4326)) as kml,
  length(transform(a,2163)) as sz
  from (
    SELECT 
       intersection(
         buffer(exteriorring(geometryn(multi(geomunion(n.geom)),1)),0.02),
         exteriorring(geometryn(multi(geomunion(
         GeomFromEWKT('SRID=4326;MULTIPOLYGON(((-66.35 18.27,-66.27 18.32,-66.1 18.33,-66.06 18.3,-66.03 18.35,-65.97 18.34,-65.94 18.23,-66.34 18.18,-66.35 18.27)))')
         )),1))
       ) as a
       FROM nws_ugc n 
       WHERE ST_OverLaps(n.geom, 
         GeomFromEWKT('SRID=4326;MULTIPOLYGON(((-66.35 18.27,-66.27 18.32,-66.1 18.33,-66.06 18.3,-66.03 18.35,-65.97 18.34,-65.94 18.23,-66.34 18.18,-66.35 18.27)))')
       )
       and n.ugc IN ('PRC007', 'PRC025', 'PRC019', 'PRC061', 'PRC021',
        'PRC041', 'PRC045', 'PRC063', 'PRC105', 'PRC139', 'PRC047'
       )
    ) as foo 
  WHERE not isempty(a);
